@echo off
set compiler=TPC
set movedir=\a\proj\eco
set archive=ECO30603.LZH
inpath BPC.EXE /err >nul
if errorlevel 1 set compiler=BPC
echo.
pause
cls
echo Ŀ
echo                                                                        
echo  Congratulations with purchasing The ECO Library II Release 3.0 V6.02!  
echo                                                                         
echo  You now have the full and complete edition of ECOLIB including src.    
echo  We request that the licensing regulations will be adhered to.          
echo                                                                         
echo  You may redistribute the ShareWare version, containing OBJ files, but  
echo  no .ASM files. Redistribute in any archive format, but keep contents   
echo  the same. These archives may not be redistributed. If you find ille-   
echo  gal copies, please notify us.                                          
echo                                                                         
echo  The following procedure will install ECOLIB on your system in the      
echo  directory /a/proj/eco and subdirectories...                            
echo                                                                         
echo  
echo    
echo.
echo.
echo Compiler found: %compiler%
echo.
pause

cls
cd \a\proj\eco
echo Copying %archive% to /a/proj/eco
copy a:\%archive% >nul
echo 
echo Copying LHA.EXE to /a/proj/eco :: .LZH Compressor/Decompressor
copy a:\LHA.EXE \a\proj\eco >nul
echo Unpacking the sources . . .
pause

lha x %archive% >nul
del %archive% >nul
echo.
pause

cls
echo.
echo.
echo.
echo.
echo.
echo.
echo [ Compiling with either BPC.EXE or TPC.EXE ]Ŀ
echo                                                                        
echo  OK, all files are now installed on /a/proj/eco                         
echo                                                                         
echo  Compilation is rather easy, if TPC or BPC is in path I will do it      
echo                                                                         
echo  for you!   The .ASM files are preassembled, please wait ::             
echo                                                                         
echo  
echo    
echo.
echo.
echo.

cd ecolibcs >nul
echo We are now in eco/ecolibCS
echo.
pause
echo Building The Concise Edition
%compiler% /$G+ /$X+ /U.. eco_lib
echo Compile OK, copying .TPU to /a/proj/eco
copy *.tpu %movedir% >nul
del *.tpu >nul
cd ..

cd ecolibbs
echo.
echo We are now in eco/ecoliBBS
echo Building The BulletinBoard Edition
%compiler% /$G+ /$X+ /U.. /m buildbbs
echo Compile OK, copying *.TPU to /a/proj/eco
echo.
copy *.tpu %movedir% >nul
del *.tpu >nul
cd ..

cd ecolibii
echo We are now in eco/ecolibII
echo.
echo.
pause
echo Building The Full Edition
%compiler% /$G+ /$X+ /U.. /m build_ii
echo Compile OK, copying *.TPU to /a/proj/eco
echo.
copy *.tpu %movedir% >nul
del *.tpu >nul

cd eco_crt
cd eco_adpt
echo.
echo.
echo We are now in eco/ecolibII/eco_crt/eco_adpt
echo Building The Adapter Unit
echo.
echo.
pause
%compiler% /$G+ /$X+ /U..\..\.. /m eco_adpt
echo Compile OK, copying *.TPU to /a/proj/eco
echo.
copy *.tpu %movedir% >nul
del *.tpu >nul
cd ..
echo.
echo.
echo We are now in eco/ecolibII/eco_crt
echo Building The CRT Replacement
%compiler% /$G+ /$X+ /U..\.. /m eco_crt
echo Compile OK, copying *.TPU to /a/proj/eco
echo.
copy *.tpu %movedir% >nul
del *.tpu >nul

cd ..\eco_dos
echo.
echo.
echo We are now in eco/ecolibII/eco_dos
pause
echo Building The DOS Replacement
%compiler% /$G+ /$X+ /U..\.. /m eco_dos
echo Compile OK, copying *.TPU to /a/proj/eco
echo.
copy *.tpu %movedir% >nul
del *.tpu >nul
cd ..

echo Building Examples And Demos . . .
cd demos
echo.
echo.
echo Compiling General Demos . . .
%compiler% /$G+ /$X+ /U..\.. /m demofile.pas
%compiler% /$G+ /$X+ /U..\.. /m demoinfo.pas
%compiler% /$G+ /$X+ /U..\.. /m demoswap.pas
%compiler% /$G+ /$X+ /U..\.. /m demotree.pas
%compiler% /$G+ /$X+ /U..\.. /m demo_atv.pas
%compiler% /$G+ /$X+ /U..\.. /m demo_key.pas
%compiler% /$G+ /$X+ /U..\.. /m demo_lzw.pas
%compiler% /$G+ /$X+ /U..\.. /m demo_reg.pas
%compiler% /$G+ /$X+ /U..\.. /m demo_fcs.pas
%compiler% /$G+ /$X+ /U..\.. /m uask.pas
%compiler% /$G+ /$X+ /U..\.. /m uaskwin.pas
cd ..\..

cd ecolibbs\demos
echo.
echo.
echo Compiling BBS Door Demo . . .
%compiler% /$G+ /$X+ /U..\.. /m demoarcn.pas
%compiler% /$G+ /$X+ /U..\.. /m demodoor.pas
%compiler% /$G+ /$X+ /U..\.. /m demonode.pas
%compiler% /$G+ /$X+ /U..\.. /m demonods.pas
%compiler% /$G+ /$X+ /U..\.. /m demopvls.pas
cd ..\..

cd ecolibcs\demos
echo.
echo.
echo Compiling Concise Demos . . .
%compiler% /$G+ /$X+ /U..\.. /m b2550.pas
%compiler% /$G+ /$X+ /U..\.. /m colours.pas
%compiler% /$G+ /$X+ /U..\.. /m demo_dat.pas
%compiler% /$G+ /$X+ /U..\.. /m demo_fas.pas
%compiler% /$G+ /$X+ /U..\.. /m demo_lib.pas
%compiler% /$G+ /$X+ /U..\.. /m error.pas
%compiler% /$G+ /$X+ /U..\.. /m inpath.pas
%compiler% /$G+ /$X+ /U..\.. /m logdate.pas
%compiler% /$G+ /$X+ /U..\.. /m pw.pas
%compiler% /$G+ /$X+ /U..\.. /m s.pas
%compiler% /$G+ /$X+ /U..\.. /m slice.pas
%compiler% /$G+ /$X+ /U..\.. /m stdframe.pas
%compiler% /$G+ /$X+ /U..\.. /m align.pas
%compiler% /$G+ /$X+ /U..\.. /m insort.pas
%compiler% /$G+ /$X+ /U..\.. /m deldup.pas
%compiler% /$G+ /$X+ /U..\.. /m w.pas
echo.
echo.
cd ugrep
%compiler% /$G+ /$X+ /U..\..\.. /m qf.pas
%compiler% /$G+ /$X+ /U..\..\.. /m gsr.pas
%compiler% /$G+ /$X+ /U..\..\.. /m usr.pas
cd ..\..\..

cd ecolibii\demos\novell
echo.
echo.
echo Compiling Novell Demos . . .
%compiler% /$G+ /$X+ /U..\..\.. /m checkfil.pas
%compiler% /$G+ /$X+ /U..\..\.. /m env_up.pas
%compiler% /$G+ /$X+ /U..\..\.. /m loginfo.pas
%compiler% /$G+ /$X+ /U..\..\.. /m me.pas
%compiler% /$G+ /$X+ /U..\..\.. /m message.pas
%compiler% /$G+ /$X+ /U..\..\.. /m netmenu.pas
%compiler% /$G+ /$X+ /U..\..\.. /m nm.pas
%compiler% /$G+ /$X+ /U..\..\.. /m qlogin.pas
%compiler% /$G+ /$X+ /U..\..\.. /m repvirus.pas
%compiler% /$G+ /$X+ /U..\..\.. /m semi.pas
%compiler% /$G+ /$X+ /U..\..\.. /m servlist.pas
%compiler% /$G+ /$X+ /U..\..\.. /m stations.pas
%compiler% /$G+ /$X+ /U..\..\.. /m upd_scan.pas
%compiler% /$G+ /$X+ /U..\..\.. /m upf.pas
%compiler% /$G+ /$X+ /U..\..\.. /m who.pas
cd ..\..\..


echo 
echo OK. The complete edition is for source inspection and ideas.
echo The CS edition contains all you might dream of, and is used
echo in a very easy matter.
echo Good luck, and try the DEMO*.PAS files for demos.
echo Remove floppy from drive.
echo All *.TPU's are now in /a/proj/eco
echo                                                                 F\
echo 
SET WDIR=-w -u 1 -x -k -p
REM SET WCOLOURS=DIR:8 VOL:8 INF:8 STD:9 TXT,DOC,INF,HLP:7 PAS,C,CPP,INC,H,ASM,ASH:14 ARC,ARJ,LZH,ZIP,ZOO:8 COM,EXE,BAT,CMD:15
SET WTREEINFO=C

%movedir%\ecolibcs\demos\w

